#  variables:
#    CHARTS "" # paths to the charts to push
#    CHART_VERSION
#    CHART_REPO_PATH
#    CHART_REPO_USER
#    CHART_REPO_PASS
.push_helm_charts:
  tags:
    - docker
  image:
    name: alpine/helm:3.16.1
    entrypoint: [""]
  script:
    - helm registry login $CHART_REPO_PATH --username $CHART_REPO_USER --password $CHART_REPO_PASS
    - "echo Charts to be pushed: $CHARTS"
    - |
      for chart in $CHARTS; do
        cat $chart/Chart.yaml
        helm dep update $chart # Dependencies are included in the package
        CHART_ARCHIVE=$(helm package $chart | cut -f2 -d':')
        CHART_REPO_URL=oci://$CHART_REPO_PATH
        echo "Pushing Chart $CHART_ARCHIVE to $CHART_REPO_URL"
        helm push $CHART_ARCHIVE $CHART_REPO_URL
        echo "Chart $CHART_ARCHIVE successfully pushed to $CHART_REPO_URL"
      done

#  variables:
#    CHARTS "" # paths to the charts to push
.lint_helm_charts:
  tags:
    - docker
  image:
    name: alpine/helm:3.16.1
    entrypoint: [""]
  script:
    - |
      for chart in $CHARTS; do
        echo "Linting chart $chart"
        helm dep update $chart
        helm lint $chart
      done
